package net.northking.cctp.se.debugger;


import net.northking.cctp.se.exec.ATUScriptInstance;

import javax.websocket.Session;

/**
 * 移动自动化测试调试器
 */
public class MobileDebugger extends WebSocketATUDebugger implements Runnable
{

  public MobileDebugger(String id, Session session)
  {
    super(id, session);
  }



  @Override
  public void run()
  {
    // 解析脚本
    ATUScriptInstance scriptInstance = analyseScript();
    // 调试脚本
    debuggerScript(scriptInstance);
  }
}
